Skip to content

Return one runtime board shell without loading card items.

GET
/api/workspace/boards/{boardIdOrKey}/view-shell
curl --request GET \
--url https://example.com/api/workspace/boards/example/view-shell
  • None
boardIdOrKey
required
string
cycle
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Runtime board shell without card items.

object
Board

Runtime board summary available to the caller.

object
Id
string
nullable
Key
string
nullable
DisplayName
string
nullable
Description
string
nullable
TagsEnabled
boolean
DueDateEnabled
boolean
Statuses
Array<object>
nullable

Runtime board status.

object
Id
string
nullable
Key
string
nullable
DisplayName
string
nullable
Description
string
nullable
Color
string
nullable
MetaType
integer format: int32
Allowed values: 0 1 2
SortOrder
integer format: int32
OpenItemCount
integer format: int32
Transitions
Array<object>
nullable

Runtime transition rule.

object
Id
string
nullable
Key
string
nullable
FromBoardStatusId
string
nullable
ToBoardStatusId
string
nullable
DisplayName
string
nullable
SortOrder
integer format: int32
IsActive
boolean
CanUse
boolean
EntityDefinitions
Array<object>
nullable

Runtime entity definition attached to a board.

object
Id
string
nullable
EntityDefinitionId
string
nullable
DisplayName
string
nullable
DisplayNameSingular
string
nullable
SortOrder
integer format: int32
CanAdd
boolean
CanMove
boolean
CommentAccessLevel
integer format: int32
Allowed values: 0 1
AttachmentAccessLevel
integer format: int32
Allowed values: 0 1
TargetDefinitions
Array<object>
nullable

Runtime target definition configured for a board.

object
Id
string
nullable
TargetKind
integer format: int32
Allowed values: 0 1 2
TargetModelId
string
nullable
DisplayName
string
nullable
DisplayNameSingular
string
nullable
SortOrder
integer format: int32
IsActive
boolean
CanAdd
boolean
CanMove
boolean
CommentAccessLevel
integer format: int32
Allowed values: 0 1
AttachmentAccessLevel
integer format: int32
Allowed values: 0 1
CreateCommentPolicy
integer format: int32
Allowed values: 0 1 2
ReadCommentPolicy
integer format: int32
Allowed values: 0 1 2
CreateAttachmentPolicy
integer format: int32
Allowed values: 0 1 2
ReadAttachmentPolicy
integer format: int32
Allowed values: 0 1 2
QueryOptions

Backend-approved query capabilities for one runtime entity definition.

object
Options

Ordered list of query targets available to the current caller.

Array<object>
nullable

One runtime query target with backend-approved filter and sort capabilities.

object
Id

Stable option identifier.

string
nullable
Label

Localized user-facing label.

string
nullable
Kind
integer format: int32
Allowed values: 0 1 2 3 4
Reference

Reference to a runtime field by identifier, normalized key, or special query field. In a typed path the segment is resolved against the entity reached by the preceding reference.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier. If FieldKey is also supplied, both must resolve to the same field.

string
nullable
FieldKey

Field key resolved through the current entity’s normalized-key index. If FieldId is also supplied, both must resolve to the same field.

string
nullable
Special
integer format: int32
Allowed values: 0 1
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
FieldType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17
AllowMultiple

Whether multiple values are allowed for the bound field.

boolean
DecimalPrecision

Decimal precision when applicable.

integer format: int32
nullable
DecimalScale

Decimal scale when applicable.

integer format: int32
nullable
StringMaxLength

String max length when applicable.

integer format: int32
nullable
ReferenceToEntityDefinitionId

Target entity definition identifier for reference-style fields.

string
nullable
PairedReferenceFieldId

Paired reference field identifier for inverse-reference fields.

string
nullable
ReferenceDeleteBehavior
integer format: int32
Allowed values: 0 1 2
Options

Select options when applicable.

Array<object>
nullable

Option metadata for select fields.

object
Id

Option identifier.

string
nullable
EntityFieldDefinitionId

Owning field identifier.

string
nullable
Key

Option key.

string
nullable
Value

Option display value.

string
nullable
SortOrder

Sort order.

integer format: int32
CanFilter

Whether the backend accepts filter predicates for this option.

boolean
FilterOperators

Operators accepted by the backend for this option.

Array<integer>
nullable
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32
FilterVariables

Runtime variables accepted by the backend for this option.

Array<integer>
nullable
Allowed values: 0 1
CanSort

Whether the backend accepts sort items for this option.

boolean
RowsFilterOptions
Array<object> recursive
BaseCurrencyCode

Base currency code for Money fields.

string
nullable
ClassifierCatalogDefinitionId

Bound Classifier Catalog Definition identifier.

string
nullable
SemanticRole
integer format: int32
Allowed values: 0 1 2 3
MaxSortItems

Maximum number of accepted sort items.

integer format: int32
InitialFieldMappings
Array<object>
nullable

Initial mapping shown to runtime users and applied during target admission.

object
DestinationKind
integer format: int32
Allowed values: 0 1 2 3
DestinationFieldKey
string
nullable
DestinationDisplayName
string
nullable
DestinationFieldType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17
SourceFieldKey
string
nullable
SourceDisplayName
string
nullable
SourceFieldType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17
SortOrder
integer format: int32
DueDatePolicy

Runtime due-date policy included in the board shell.

object
Enabled
boolean
TimeMode
integer format: int32
Allowed values: 0 1
DisabledBoardStatusIds
Array<string>
nullable
Expectations
Array<object>
nullable

Runtime due-date status expectation row.

object
Id
string
nullable
ExpectedBoardStatusId
string
nullable
OffsetAmount
integer format: int32
OffsetUnit
integer format: int32
Allowed values: 0 1
Severity
integer format: int32
Allowed values: 0 1 2
SortOrder
integer format: int32
BoardData

Board-owned Part entity identity and default runtime surfaces.

object
EntityDefinitionId
string
nullable
DefaultFormSurfaceKey
string
nullable
DefaultCardSurfaceKey
string
nullable
QueryOptions

Backend-approved query capabilities for one runtime entity definition.

object
Options

Ordered list of query targets available to the current caller.

Array<object>
nullable

One runtime query target with backend-approved filter and sort capabilities.

object
Id

Stable option identifier.

string
nullable
Label

Localized user-facing label.

string
nullable
Kind
integer format: int32
Allowed values: 0 1 2 3 4
Reference

Reference to a runtime field by identifier, normalized key, or special query field. In a typed path the segment is resolved against the entity reached by the preceding reference.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier. If FieldKey is also supplied, both must resolve to the same field.

string
nullable
FieldKey

Field key resolved through the current entity’s normalized-key index. If FieldId is also supplied, both must resolve to the same field.

string
nullable
Special
integer format: int32
Allowed values: 0 1
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
FieldType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17
AllowMultiple

Whether multiple values are allowed for the bound field.

boolean
DecimalPrecision

Decimal precision when applicable.

integer format: int32
nullable
DecimalScale

Decimal scale when applicable.

integer format: int32
nullable
StringMaxLength

String max length when applicable.

integer format: int32
nullable
ReferenceToEntityDefinitionId

Target entity definition identifier for reference-style fields.

string
nullable
PairedReferenceFieldId

Paired reference field identifier for inverse-reference fields.

string
nullable
ReferenceDeleteBehavior
integer format: int32
Allowed values: 0 1 2
Options

Select options when applicable.

Array<object>
nullable

Option metadata for select fields.

object
Id

Option identifier.

string
nullable
EntityFieldDefinitionId

Owning field identifier.

string
nullable
Key

Option key.

string
nullable
Value

Option display value.

string
nullable
SortOrder

Sort order.

integer format: int32
CanFilter

Whether the backend accepts filter predicates for this option.

boolean
FilterOperators

Operators accepted by the backend for this option.

Array<integer>
nullable
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32
FilterVariables

Runtime variables accepted by the backend for this option.

Array<integer>
nullable
Allowed values: 0 1
CanSort

Whether the backend accepts sort items for this option.

boolean
RowsFilterOptions
Array<object> recursive
BaseCurrencyCode

Base currency code for Money fields.

string
nullable
ClassifierCatalogDefinitionId

Bound Classifier Catalog Definition identifier.

string
nullable
SemanticRole
integer format: int32
Allowed values: 0 1 2 3
MaxSortItems

Maximum number of accepted sort items.

integer format: int32
SubjectSemanticRole
integer format: int32
Allowed values: 0 1 2 3
DescriptionSemanticRole
integer format: int32
Allowed values: 0 1 2 3
BoardType
integer format: int32
Allowed values: 0 1
CycleActivationMode
integer format: int32
Allowed values: 0 1 2
RequestedCycleSelector

Normalized selector requested by the caller.

string
nullable
ResolvedCycle

Compact cycle summary for a runtime board item.

object
Id
string
nullable
Name
string
nullable
LifecycleState
integer format: int32
Allowed values: 0 1 2 3
StartDate
string format: date
nullable
EndDate
string format: date
nullable
SortOrder
integer format: int32
DateCurrentCycle

Compact cycle summary for a runtime board item.

object
Id
string
nullable
Name
string
nullable
LifecycleState
integer format: int32
Allowed values: 0 1 2 3
StartDate
string format: date
nullable
EndDate
string format: date
nullable
SortOrder
integer format: int32
PreviousCycle

Compact cycle summary for a runtime board item.

object
Id
string
nullable
Name
string
nullable
LifecycleState
integer format: int32
Allowed values: 0 1 2 3
StartDate
string format: date
nullable
EndDate
string format: date
nullable
SortOrder
integer format: int32
NextCycle

Compact cycle summary for a runtime board item.

object
Id
string
nullable
Name
string
nullable
LifecycleState
integer format: int32
Allowed values: 0 1 2 3
StartDate
string format: date
nullable
EndDate
string format: date
nullable
SortOrder
integer format: int32
CycleWarnings

Structured cycle warnings relevant to the selected shell scope.

Array<integer>
nullable
Allowed values: 0 1 2 3 4 5 6
Actions

Server-computed runtime shell actions.

object
CanManageCycles
boolean
ItemViewAvailability

Safe diagnostic for the caller’s Board Item View formula.

integer format: int32
Allowed values: 0 1 2
BoardItemResponsibilityDefinitions

Enabled named responsibilities for Board Item resources.

Array<object>
nullable

Active common responsibility definition published to Entity runtime surfaces.

object
ResponsibilityDefinitionId

Stable common responsibility definition identifier.

string
nullable
ResponsibilityKey

Stable definition-scoped responsibility key.

string
nullable
DisplayName

User-facing responsibility name.

string
nullable
Description

Optional user-facing description.

string
nullable
Cardinality

Common cardinality discriminator: One or Many.

string
nullable
Required

Whether an active resource must always have an assigned responsible subject.

boolean
SubjectMode

Common subject-mode discriminator: User, Group or UserOrGroup.

string
nullable
BoardStatusResponsibilityDefinitions

Enabled named responsibilities for Board Status resources.

Array<object>
nullable

Active common responsibility definition published to Entity runtime surfaces.

object
ResponsibilityDefinitionId

Stable common responsibility definition identifier.

string
nullable
ResponsibilityKey

Stable definition-scoped responsibility key.

string
nullable
DisplayName

User-facing responsibility name.

string
nullable
Description

Optional user-facing description.

string
nullable
Cardinality

Common cardinality discriminator: One or Many.

string
nullable
Required

Whether an active resource must always have an assigned responsible subject.

boolean
SubjectMode

Common subject-mode discriminator: User, Group or UserOrGroup.

string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Statuses": [
{
"MetaType": 0
}
],
"EntityDefinitions": [
{
"CommentAccessLevel": 0,
"AttachmentAccessLevel": 0
}
],
"TargetDefinitions": [
{
"TargetKind": 0,
"CommentAccessLevel": 0,
"AttachmentAccessLevel": 0,
"CreateCommentPolicy": 0,
"ReadCommentPolicy": 0,
"CreateAttachmentPolicy": 0,
"ReadAttachmentPolicy": 0,
"QueryOptions": {
"Options": [
{
"Kind": 0,
"Reference": {
"Special": 0
},
"FieldType": 0,
"ReferenceDeleteBehavior": 0,
"FilterOperators": [
0
],
"FilterVariables": [
0
],
"SemanticRole": 0
}
]
},
"InitialFieldMappings": [
{
"DestinationKind": 0,
"DestinationFieldType": 0,
"SourceFieldType": 0
}
]
}
],
"DueDatePolicy": {
"TimeMode": 0,
"Expectations": [
{
"OffsetUnit": 0,
"Severity": 0
}
]
},
"BoardData": {
"QueryOptions": {
"Options": [
{
"Kind": 0,
"Reference": {
"Special": 0
},
"FieldType": 0,
"ReferenceDeleteBehavior": 0,
"FilterOperators": [
0
],
"FilterVariables": [
0
],
"SemanticRole": 0
}
]
},
"SubjectSemanticRole": 0,
"DescriptionSemanticRole": 0
},
"BoardType": 0,
"CycleActivationMode": 0,
"ResolvedCycle": {
"LifecycleState": 0
},
"DateCurrentCycle": {
"LifecycleState": 0
},
"PreviousCycle": {
"LifecycleState": 0
},
"NextCycle": {
"LifecycleState": 0
},
"CycleWarnings": [
0
],
"ItemViewAvailability": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Runtime board shell without card items.

object
Board

Runtime board summary available to the caller.

object
Id
string
nullable
Key
string
nullable
DisplayName
string
nullable
Description
string
nullable
TagsEnabled
boolean
DueDateEnabled
boolean
Statuses
Array<object>
nullable

Runtime board status.

object
Id
string
nullable
Key
string
nullable
DisplayName
string
nullable
Description
string
nullable
Color
string
nullable
MetaType
integer format: int32
Allowed values: 0 1 2
SortOrder
integer format: int32
OpenItemCount
integer format: int32
Transitions
Array<object>
nullable

Runtime transition rule.

object
Id
string
nullable
Key
string
nullable
FromBoardStatusId
string
nullable
ToBoardStatusId
string
nullable
DisplayName
string
nullable
SortOrder
integer format: int32
IsActive
boolean
CanUse
boolean
EntityDefinitions
Array<object>
nullable

Runtime entity definition attached to a board.

object
Id
string
nullable
EntityDefinitionId
string
nullable
DisplayName
string
nullable
DisplayNameSingular
string
nullable
SortOrder
integer format: int32
CanAdd
boolean
CanMove
boolean
CommentAccessLevel
integer format: int32
Allowed values: 0 1
AttachmentAccessLevel
integer format: int32
Allowed values: 0 1
TargetDefinitions
Array<object>
nullable

Runtime target definition configured for a board.

object
Id
string
nullable
TargetKind
integer format: int32
Allowed values: 0 1 2
TargetModelId
string
nullable
DisplayName
string
nullable
DisplayNameSingular
string
nullable
SortOrder
integer format: int32
IsActive
boolean
CanAdd
boolean
CanMove
boolean
CommentAccessLevel
integer format: int32
Allowed values: 0 1
AttachmentAccessLevel
integer format: int32
Allowed values: 0 1
CreateCommentPolicy
integer format: int32
Allowed values: 0 1 2
ReadCommentPolicy
integer format: int32
Allowed values: 0 1 2
CreateAttachmentPolicy
integer format: int32
Allowed values: 0 1 2
ReadAttachmentPolicy
integer format: int32
Allowed values: 0 1 2
QueryOptions

Backend-approved query capabilities for one runtime entity definition.

object
Options

Ordered list of query targets available to the current caller.

Array<object>
nullable

One runtime query target with backend-approved filter and sort capabilities.

object
Id

Stable option identifier.

string
nullable
Label

Localized user-facing label.

string
nullable
Kind
integer format: int32
Allowed values: 0 1 2 3 4
Reference

Reference to a runtime field by identifier, normalized key, or special query field. In a typed path the segment is resolved against the entity reached by the preceding reference.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier. If FieldKey is also supplied, both must resolve to the same field.

string
nullable
FieldKey

Field key resolved through the current entity’s normalized-key index. If FieldId is also supplied, both must resolve to the same field.

string
nullable
Special
integer format: int32
Allowed values: 0 1
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
FieldType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17
AllowMultiple

Whether multiple values are allowed for the bound field.

boolean
DecimalPrecision

Decimal precision when applicable.

integer format: int32
nullable
DecimalScale

Decimal scale when applicable.

integer format: int32
nullable
StringMaxLength

String max length when applicable.

integer format: int32
nullable
ReferenceToEntityDefinitionId

Target entity definition identifier for reference-style fields.

string
nullable
PairedReferenceFieldId

Paired reference field identifier for inverse-reference fields.

string
nullable
ReferenceDeleteBehavior
integer format: int32
Allowed values: 0 1 2
Options

Select options when applicable.

Array<object>
nullable

Option metadata for select fields.

object
Id

Option identifier.

string
nullable
EntityFieldDefinitionId

Owning field identifier.

string
nullable
Key

Option key.

string
nullable
Value

Option display value.

string
nullable
SortOrder

Sort order.

integer format: int32
CanFilter

Whether the backend accepts filter predicates for this option.

boolean
FilterOperators

Operators accepted by the backend for this option.

Array<integer>
nullable
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32
FilterVariables

Runtime variables accepted by the backend for this option.

Array<integer>
nullable
Allowed values: 0 1
CanSort

Whether the backend accepts sort items for this option.

boolean
RowsFilterOptions
Array<object> recursive
BaseCurrencyCode

Base currency code for Money fields.

string
nullable
ClassifierCatalogDefinitionId

Bound Classifier Catalog Definition identifier.

string
nullable
SemanticRole
integer format: int32
Allowed values: 0 1 2 3
MaxSortItems

Maximum number of accepted sort items.

integer format: int32
InitialFieldMappings
Array<object>
nullable

Initial mapping shown to runtime users and applied during target admission.

object
DestinationKind
integer format: int32
Allowed values: 0 1 2 3
DestinationFieldKey
string
nullable
DestinationDisplayName
string
nullable
DestinationFieldType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17
SourceFieldKey
string
nullable
SourceDisplayName
string
nullable
SourceFieldType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17
SortOrder
integer format: int32
DueDatePolicy

Runtime due-date policy included in the board shell.

object
Enabled
boolean
TimeMode
integer format: int32
Allowed values: 0 1
DisabledBoardStatusIds
Array<string>
nullable
Expectations
Array<object>
nullable

Runtime due-date status expectation row.

object
Id
string
nullable
ExpectedBoardStatusId
string
nullable
OffsetAmount
integer format: int32
OffsetUnit
integer format: int32
Allowed values: 0 1
Severity
integer format: int32
Allowed values: 0 1 2
SortOrder
integer format: int32
BoardData

Board-owned Part entity identity and default runtime surfaces.

object
EntityDefinitionId
string
nullable
DefaultFormSurfaceKey
string
nullable
DefaultCardSurfaceKey
string
nullable
QueryOptions

Backend-approved query capabilities for one runtime entity definition.

object
Options

Ordered list of query targets available to the current caller.

Array<object>
nullable

One runtime query target with backend-approved filter and sort capabilities.

object
Id

Stable option identifier.

string
nullable
Label

Localized user-facing label.

string
nullable
Kind
integer format: int32
Allowed values: 0 1 2 3 4
Reference

Reference to a runtime field by identifier, normalized key, or special query field. In a typed path the segment is resolved against the entity reached by the preceding reference.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier. If FieldKey is also supplied, both must resolve to the same field.

string
nullable
FieldKey

Field key resolved through the current entity’s normalized-key index. If FieldId is also supplied, both must resolve to the same field.

string
nullable
Special
integer format: int32
Allowed values: 0 1
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
FieldType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17
AllowMultiple

Whether multiple values are allowed for the bound field.

boolean
DecimalPrecision

Decimal precision when applicable.

integer format: int32
nullable
DecimalScale

Decimal scale when applicable.

integer format: int32
nullable
StringMaxLength

String max length when applicable.

integer format: int32
nullable
ReferenceToEntityDefinitionId

Target entity definition identifier for reference-style fields.

string
nullable
PairedReferenceFieldId

Paired reference field identifier for inverse-reference fields.

string
nullable
ReferenceDeleteBehavior
integer format: int32
Allowed values: 0 1 2
Options

Select options when applicable.

Array<object>
nullable

Option metadata for select fields.

object
Id

Option identifier.

string
nullable
EntityFieldDefinitionId

Owning field identifier.

string
nullable
Key

Option key.

string
nullable
Value

Option display value.

string
nullable
SortOrder

Sort order.

integer format: int32
CanFilter

Whether the backend accepts filter predicates for this option.

boolean
FilterOperators

Operators accepted by the backend for this option.

Array<integer>
nullable
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32
FilterVariables

Runtime variables accepted by the backend for this option.

Array<integer>
nullable
Allowed values: 0 1
CanSort

Whether the backend accepts sort items for this option.

boolean
RowsFilterOptions
Array<object> recursive
BaseCurrencyCode

Base currency code for Money fields.

string
nullable
ClassifierCatalogDefinitionId

Bound Classifier Catalog Definition identifier.

string
nullable
SemanticRole
integer format: int32
Allowed values: 0 1 2 3
MaxSortItems

Maximum number of accepted sort items.

integer format: int32
SubjectSemanticRole
integer format: int32
Allowed values: 0 1 2 3
DescriptionSemanticRole
integer format: int32
Allowed values: 0 1 2 3
BoardType
integer format: int32
Allowed values: 0 1
CycleActivationMode
integer format: int32
Allowed values: 0 1 2
RequestedCycleSelector

Normalized selector requested by the caller.

string
nullable
ResolvedCycle

Compact cycle summary for a runtime board item.

object
Id
string
nullable
Name
string
nullable
LifecycleState
integer format: int32
Allowed values: 0 1 2 3
StartDate
string format: date
nullable
EndDate
string format: date
nullable
SortOrder
integer format: int32
DateCurrentCycle

Compact cycle summary for a runtime board item.

object
Id
string
nullable
Name
string
nullable
LifecycleState
integer format: int32
Allowed values: 0 1 2 3
StartDate
string format: date
nullable
EndDate
string format: date
nullable
SortOrder
integer format: int32
PreviousCycle

Compact cycle summary for a runtime board item.

object
Id
string
nullable
Name
string
nullable
LifecycleState
integer format: int32
Allowed values: 0 1 2 3
StartDate
string format: date
nullable
EndDate
string format: date
nullable
SortOrder
integer format: int32
NextCycle

Compact cycle summary for a runtime board item.

object
Id
string
nullable
Name
string
nullable
LifecycleState
integer format: int32
Allowed values: 0 1 2 3
StartDate
string format: date
nullable
EndDate
string format: date
nullable
SortOrder
integer format: int32
CycleWarnings

Structured cycle warnings relevant to the selected shell scope.

Array<integer>
nullable
Allowed values: 0 1 2 3 4 5 6
Actions

Server-computed runtime shell actions.

object
CanManageCycles
boolean
ItemViewAvailability

Safe diagnostic for the caller’s Board Item View formula.

integer format: int32
Allowed values: 0 1 2
BoardItemResponsibilityDefinitions

Enabled named responsibilities for Board Item resources.

Array<object>
nullable

Active common responsibility definition published to Entity runtime surfaces.

object
ResponsibilityDefinitionId

Stable common responsibility definition identifier.

string
nullable
ResponsibilityKey

Stable definition-scoped responsibility key.

string
nullable
DisplayName

User-facing responsibility name.

string
nullable
Description

Optional user-facing description.

string
nullable
Cardinality

Common cardinality discriminator: One or Many.

string
nullable
Required

Whether an active resource must always have an assigned responsible subject.

boolean
SubjectMode

Common subject-mode discriminator: User, Group or UserOrGroup.

string
nullable
BoardStatusResponsibilityDefinitions

Enabled named responsibilities for Board Status resources.

Array<object>
nullable

Active common responsibility definition published to Entity runtime surfaces.

object
ResponsibilityDefinitionId

Stable common responsibility definition identifier.

string
nullable
ResponsibilityKey

Stable definition-scoped responsibility key.

string
nullable
DisplayName

User-facing responsibility name.

string
nullable
Description

Optional user-facing description.

string
nullable
Cardinality

Common cardinality discriminator: One or Many.

string
nullable
Required

Whether an active resource must always have an assigned responsible subject.

boolean
SubjectMode

Common subject-mode discriminator: User, Group or UserOrGroup.

string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Statuses": [
{
"MetaType": 0
}
],
"EntityDefinitions": [
{
"CommentAccessLevel": 0,
"AttachmentAccessLevel": 0
}
],
"TargetDefinitions": [
{
"TargetKind": 0,
"CommentAccessLevel": 0,
"AttachmentAccessLevel": 0,
"CreateCommentPolicy": 0,
"ReadCommentPolicy": 0,
"CreateAttachmentPolicy": 0,
"ReadAttachmentPolicy": 0,
"QueryOptions": {
"Options": [
{
"Kind": 0,
"Reference": {
"Special": 0
},
"FieldType": 0,
"ReferenceDeleteBehavior": 0,
"FilterOperators": [
0
],
"FilterVariables": [
0
],
"SemanticRole": 0
}
]
},
"InitialFieldMappings": [
{
"DestinationKind": 0,
"DestinationFieldType": 0,
"SourceFieldType": 0
}
]
}
],
"DueDatePolicy": {
"TimeMode": 0,
"Expectations": [
{
"OffsetUnit": 0,
"Severity": 0
}
]
},
"BoardData": {
"QueryOptions": {
"Options": [
{
"Kind": 0,
"Reference": {
"Special": 0
},
"FieldType": 0,
"ReferenceDeleteBehavior": 0,
"FilterOperators": [
0
],
"FilterVariables": [
0
],
"SemanticRole": 0
}
]
},
"SubjectSemanticRole": 0,
"DescriptionSemanticRole": 0
},
"BoardType": 0,
"CycleActivationMode": 0,
"ResolvedCycle": {
"LifecycleState": 0
},
"DateCurrentCycle": {
"LifecycleState": 0
},
"PreviousCycle": {
"LifecycleState": 0
},
"NextCycle": {
"LifecycleState": 0
},
"CycleWarnings": [
0
],
"ItemViewAvailability": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Runtime board shell without card items.

object
Board

Runtime board summary available to the caller.

object
Id
string
nullable
Key
string
nullable
DisplayName
string
nullable
Description
string
nullable
TagsEnabled
boolean
DueDateEnabled
boolean
Statuses
Array<object>
nullable

Runtime board status.

object
Id
string
nullable
Key
string
nullable
DisplayName
string
nullable
Description
string
nullable
Color
string
nullable
MetaType
integer format: int32
Allowed values: 0 1 2
SortOrder
integer format: int32
OpenItemCount
integer format: int32
Transitions
Array<object>
nullable

Runtime transition rule.

object
Id
string
nullable
Key
string
nullable
FromBoardStatusId
string
nullable
ToBoardStatusId
string
nullable
DisplayName
string
nullable
SortOrder
integer format: int32
IsActive
boolean
CanUse
boolean
EntityDefinitions
Array<object>
nullable

Runtime entity definition attached to a board.

object
Id
string
nullable
EntityDefinitionId
string
nullable
DisplayName
string
nullable
DisplayNameSingular
string
nullable
SortOrder
integer format: int32
CanAdd
boolean
CanMove
boolean
CommentAccessLevel
integer format: int32
Allowed values: 0 1
AttachmentAccessLevel
integer format: int32
Allowed values: 0 1
TargetDefinitions
Array<object>
nullable

Runtime target definition configured for a board.

object
Id
string
nullable
TargetKind
integer format: int32
Allowed values: 0 1 2
TargetModelId
string
nullable
DisplayName
string
nullable
DisplayNameSingular
string
nullable
SortOrder
integer format: int32
IsActive
boolean
CanAdd
boolean
CanMove
boolean
CommentAccessLevel
integer format: int32
Allowed values: 0 1
AttachmentAccessLevel
integer format: int32
Allowed values: 0 1
CreateCommentPolicy
integer format: int32
Allowed values: 0 1 2
ReadCommentPolicy
integer format: int32
Allowed values: 0 1 2
CreateAttachmentPolicy
integer format: int32
Allowed values: 0 1 2
ReadAttachmentPolicy
integer format: int32
Allowed values: 0 1 2
QueryOptions

Backend-approved query capabilities for one runtime entity definition.

object
Options

Ordered list of query targets available to the current caller.

Array<object>
nullable

One runtime query target with backend-approved filter and sort capabilities.

object
Id

Stable option identifier.

string
nullable
Label

Localized user-facing label.

string
nullable
Kind
integer format: int32
Allowed values: 0 1 2 3 4
Reference

Reference to a runtime field by identifier, normalized key, or special query field. In a typed path the segment is resolved against the entity reached by the preceding reference.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier. If FieldKey is also supplied, both must resolve to the same field.

string
nullable
FieldKey

Field key resolved through the current entity’s normalized-key index. If FieldId is also supplied, both must resolve to the same field.

string
nullable
Special
integer format: int32
Allowed values: 0 1
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
FieldType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17
AllowMultiple

Whether multiple values are allowed for the bound field.

boolean
DecimalPrecision

Decimal precision when applicable.

integer format: int32
nullable
DecimalScale

Decimal scale when applicable.

integer format: int32
nullable
StringMaxLength

String max length when applicable.

integer format: int32
nullable
ReferenceToEntityDefinitionId

Target entity definition identifier for reference-style fields.

string
nullable
PairedReferenceFieldId

Paired reference field identifier for inverse-reference fields.

string
nullable
ReferenceDeleteBehavior
integer format: int32
Allowed values: 0 1 2
Options

Select options when applicable.

Array<object>
nullable

Option metadata for select fields.

object
Id

Option identifier.

string
nullable
EntityFieldDefinitionId

Owning field identifier.

string
nullable
Key

Option key.

string
nullable
Value

Option display value.

string
nullable
SortOrder

Sort order.

integer format: int32
CanFilter

Whether the backend accepts filter predicates for this option.

boolean
FilterOperators

Operators accepted by the backend for this option.

Array<integer>
nullable
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32
FilterVariables

Runtime variables accepted by the backend for this option.

Array<integer>
nullable
Allowed values: 0 1
CanSort

Whether the backend accepts sort items for this option.

boolean
RowsFilterOptions
Array<object> recursive
BaseCurrencyCode

Base currency code for Money fields.

string
nullable
ClassifierCatalogDefinitionId

Bound Classifier Catalog Definition identifier.

string
nullable
SemanticRole
integer format: int32
Allowed values: 0 1 2 3
MaxSortItems

Maximum number of accepted sort items.

integer format: int32
InitialFieldMappings
Array<object>
nullable

Initial mapping shown to runtime users and applied during target admission.

object
DestinationKind
integer format: int32
Allowed values: 0 1 2 3
DestinationFieldKey
string
nullable
DestinationDisplayName
string
nullable
DestinationFieldType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17
SourceFieldKey
string
nullable
SourceDisplayName
string
nullable
SourceFieldType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17
SortOrder
integer format: int32
DueDatePolicy

Runtime due-date policy included in the board shell.

object
Enabled
boolean
TimeMode
integer format: int32
Allowed values: 0 1
DisabledBoardStatusIds
Array<string>
nullable
Expectations
Array<object>
nullable

Runtime due-date status expectation row.

object
Id
string
nullable
ExpectedBoardStatusId
string
nullable
OffsetAmount
integer format: int32
OffsetUnit
integer format: int32
Allowed values: 0 1
Severity
integer format: int32
Allowed values: 0 1 2
SortOrder
integer format: int32
BoardData

Board-owned Part entity identity and default runtime surfaces.

object
EntityDefinitionId
string
nullable
DefaultFormSurfaceKey
string
nullable
DefaultCardSurfaceKey
string
nullable
QueryOptions

Backend-approved query capabilities for one runtime entity definition.

object
Options

Ordered list of query targets available to the current caller.

Array<object>
nullable

One runtime query target with backend-approved filter and sort capabilities.

object
Id

Stable option identifier.

string
nullable
Label

Localized user-facing label.

string
nullable
Kind
integer format: int32
Allowed values: 0 1 2 3 4
Reference

Reference to a runtime field by identifier, normalized key, or special query field. In a typed path the segment is resolved against the entity reached by the preceding reference.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier. If FieldKey is also supplied, both must resolve to the same field.

string
nullable
FieldKey

Field key resolved through the current entity’s normalized-key index. If FieldId is also supplied, both must resolve to the same field.

string
nullable
Special
integer format: int32
Allowed values: 0 1
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
FieldType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17
AllowMultiple

Whether multiple values are allowed for the bound field.

boolean
DecimalPrecision

Decimal precision when applicable.

integer format: int32
nullable
DecimalScale

Decimal scale when applicable.

integer format: int32
nullable
StringMaxLength

String max length when applicable.

integer format: int32
nullable
ReferenceToEntityDefinitionId

Target entity definition identifier for reference-style fields.

string
nullable
PairedReferenceFieldId

Paired reference field identifier for inverse-reference fields.

string
nullable
ReferenceDeleteBehavior
integer format: int32
Allowed values: 0 1 2
Options

Select options when applicable.

Array<object>
nullable

Option metadata for select fields.

object
Id

Option identifier.

string
nullable
EntityFieldDefinitionId

Owning field identifier.

string
nullable
Key

Option key.

string
nullable
Value

Option display value.

string
nullable
SortOrder

Sort order.

integer format: int32
CanFilter

Whether the backend accepts filter predicates for this option.

boolean
FilterOperators

Operators accepted by the backend for this option.

Array<integer>
nullable
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32
FilterVariables

Runtime variables accepted by the backend for this option.

Array<integer>
nullable
Allowed values: 0 1
CanSort

Whether the backend accepts sort items for this option.

boolean
RowsFilterOptions
Array<object> recursive
BaseCurrencyCode

Base currency code for Money fields.

string
nullable
ClassifierCatalogDefinitionId

Bound Classifier Catalog Definition identifier.

string
nullable
SemanticRole
integer format: int32
Allowed values: 0 1 2 3
MaxSortItems

Maximum number of accepted sort items.

integer format: int32
SubjectSemanticRole
integer format: int32
Allowed values: 0 1 2 3
DescriptionSemanticRole
integer format: int32
Allowed values: 0 1 2 3
BoardType
integer format: int32
Allowed values: 0 1
CycleActivationMode
integer format: int32
Allowed values: 0 1 2
RequestedCycleSelector

Normalized selector requested by the caller.

string
nullable
ResolvedCycle

Compact cycle summary for a runtime board item.

object
Id
string
nullable
Name
string
nullable
LifecycleState
integer format: int32
Allowed values: 0 1 2 3
StartDate
string format: date
nullable
EndDate
string format: date
nullable
SortOrder
integer format: int32
DateCurrentCycle

Compact cycle summary for a runtime board item.

object
Id
string
nullable
Name
string
nullable
LifecycleState
integer format: int32
Allowed values: 0 1 2 3
StartDate
string format: date
nullable
EndDate
string format: date
nullable
SortOrder
integer format: int32
PreviousCycle

Compact cycle summary for a runtime board item.

object
Id
string
nullable
Name
string
nullable
LifecycleState
integer format: int32
Allowed values: 0 1 2 3
StartDate
string format: date
nullable
EndDate
string format: date
nullable
SortOrder
integer format: int32
NextCycle

Compact cycle summary for a runtime board item.

object
Id
string
nullable
Name
string
nullable
LifecycleState
integer format: int32
Allowed values: 0 1 2 3
StartDate
string format: date
nullable
EndDate
string format: date
nullable
SortOrder
integer format: int32
CycleWarnings

Structured cycle warnings relevant to the selected shell scope.

Array<integer>
nullable
Allowed values: 0 1 2 3 4 5 6
Actions

Server-computed runtime shell actions.

object
CanManageCycles
boolean
ItemViewAvailability

Safe diagnostic for the caller’s Board Item View formula.

integer format: int32
Allowed values: 0 1 2
BoardItemResponsibilityDefinitions

Enabled named responsibilities for Board Item resources.

Array<object>
nullable

Active common responsibility definition published to Entity runtime surfaces.

object
ResponsibilityDefinitionId

Stable common responsibility definition identifier.

string
nullable
ResponsibilityKey

Stable definition-scoped responsibility key.

string
nullable
DisplayName

User-facing responsibility name.

string
nullable
Description

Optional user-facing description.

string
nullable
Cardinality

Common cardinality discriminator: One or Many.

string
nullable
Required

Whether an active resource must always have an assigned responsible subject.

boolean
SubjectMode

Common subject-mode discriminator: User, Group or UserOrGroup.

string
nullable
BoardStatusResponsibilityDefinitions

Enabled named responsibilities for Board Status resources.

Array<object>
nullable

Active common responsibility definition published to Entity runtime surfaces.

object
ResponsibilityDefinitionId

Stable common responsibility definition identifier.

string
nullable
ResponsibilityKey

Stable definition-scoped responsibility key.

string
nullable
DisplayName

User-facing responsibility name.

string
nullable
Description

Optional user-facing description.

string
nullable
Cardinality

Common cardinality discriminator: One or Many.

string
nullable
Required

Whether an active resource must always have an assigned responsible subject.

boolean
SubjectMode

Common subject-mode discriminator: User, Group or UserOrGroup.

string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Statuses": [
{
"MetaType": 0
}
],
"EntityDefinitions": [
{
"CommentAccessLevel": 0,
"AttachmentAccessLevel": 0
}
],
"TargetDefinitions": [
{
"TargetKind": 0,
"CommentAccessLevel": 0,
"AttachmentAccessLevel": 0,
"CreateCommentPolicy": 0,
"ReadCommentPolicy": 0,
"CreateAttachmentPolicy": 0,
"ReadAttachmentPolicy": 0,
"QueryOptions": {
"Options": [
{
"Kind": 0,
"Reference": {
"Special": 0
},
"FieldType": 0,
"ReferenceDeleteBehavior": 0,
"FilterOperators": [
0
],
"FilterVariables": [
0
],
"SemanticRole": 0
}
]
},
"InitialFieldMappings": [
{
"DestinationKind": 0,
"DestinationFieldType": 0,
"SourceFieldType": 0
}
]
}
],
"DueDatePolicy": {
"TimeMode": 0,
"Expectations": [
{
"OffsetUnit": 0,
"Severity": 0
}
]
},
"BoardData": {
"QueryOptions": {
"Options": [
{
"Kind": 0,
"Reference": {
"Special": 0
},
"FieldType": 0,
"ReferenceDeleteBehavior": 0,
"FilterOperators": [
0
],
"FilterVariables": [
0
],
"SemanticRole": 0
}
]
},
"SubjectSemanticRole": 0,
"DescriptionSemanticRole": 0
},
"BoardType": 0,
"CycleActivationMode": 0,
"ResolvedCycle": {
"LifecycleState": 0
},
"DateCurrentCycle": {
"LifecycleState": 0
},
"PreviousCycle": {
"LifecycleState": 0
},
"NextCycle": {
"LifecycleState": 0
},
"CycleWarnings": [
0
],
"ItemViewAvailability": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Conflict

Media typeapplication/json
object
Data

Runtime board shell without card items.

object
Board

Runtime board summary available to the caller.

object
Id
string
nullable
Key
string
nullable
DisplayName
string
nullable
Description
string
nullable
TagsEnabled
boolean
DueDateEnabled
boolean
Statuses
Array<object>
nullable

Runtime board status.

object
Id
string
nullable
Key
string
nullable
DisplayName
string
nullable
Description
string
nullable
Color
string
nullable
MetaType
integer format: int32
Allowed values: 0 1 2
SortOrder
integer format: int32
OpenItemCount
integer format: int32
Transitions
Array<object>
nullable

Runtime transition rule.

object
Id
string
nullable
Key
string
nullable
FromBoardStatusId
string
nullable
ToBoardStatusId
string
nullable
DisplayName
string
nullable
SortOrder
integer format: int32
IsActive
boolean
CanUse
boolean
EntityDefinitions
Array<object>
nullable

Runtime entity definition attached to a board.

object
Id
string
nullable
EntityDefinitionId
string
nullable
DisplayName
string
nullable
DisplayNameSingular
string
nullable
SortOrder
integer format: int32
CanAdd
boolean
CanMove
boolean
CommentAccessLevel
integer format: int32
Allowed values: 0 1
AttachmentAccessLevel
integer format: int32
Allowed values: 0 1
TargetDefinitions
Array<object>
nullable

Runtime target definition configured for a board.

object
Id
string
nullable
TargetKind
integer format: int32
Allowed values: 0 1 2
TargetModelId
string
nullable
DisplayName
string
nullable
DisplayNameSingular
string
nullable
SortOrder
integer format: int32
IsActive
boolean
CanAdd
boolean
CanMove
boolean
CommentAccessLevel
integer format: int32
Allowed values: 0 1
AttachmentAccessLevel
integer format: int32
Allowed values: 0 1
CreateCommentPolicy
integer format: int32
Allowed values: 0 1 2
ReadCommentPolicy
integer format: int32
Allowed values: 0 1 2
CreateAttachmentPolicy
integer format: int32
Allowed values: 0 1 2
ReadAttachmentPolicy
integer format: int32
Allowed values: 0 1 2
QueryOptions

Backend-approved query capabilities for one runtime entity definition.

object
Options

Ordered list of query targets available to the current caller.

Array<object>
nullable

One runtime query target with backend-approved filter and sort capabilities.

object
Id

Stable option identifier.

string
nullable
Label

Localized user-facing label.

string
nullable
Kind
integer format: int32
Allowed values: 0 1 2 3 4
Reference

Reference to a runtime field by identifier, normalized key, or special query field. In a typed path the segment is resolved against the entity reached by the preceding reference.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier. If FieldKey is also supplied, both must resolve to the same field.

string
nullable
FieldKey

Field key resolved through the current entity’s normalized-key index. If FieldId is also supplied, both must resolve to the same field.

string
nullable
Special
integer format: int32
Allowed values: 0 1
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
FieldType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17
AllowMultiple

Whether multiple values are allowed for the bound field.

boolean
DecimalPrecision

Decimal precision when applicable.

integer format: int32
nullable
DecimalScale

Decimal scale when applicable.

integer format: int32
nullable
StringMaxLength

String max length when applicable.

integer format: int32
nullable
ReferenceToEntityDefinitionId

Target entity definition identifier for reference-style fields.

string
nullable
PairedReferenceFieldId

Paired reference field identifier for inverse-reference fields.

string
nullable
ReferenceDeleteBehavior
integer format: int32
Allowed values: 0 1 2
Options

Select options when applicable.

Array<object>
nullable

Option metadata for select fields.

object
Id

Option identifier.

string
nullable
EntityFieldDefinitionId

Owning field identifier.

string
nullable
Key

Option key.

string
nullable
Value

Option display value.

string
nullable
SortOrder

Sort order.

integer format: int32
CanFilter

Whether the backend accepts filter predicates for this option.

boolean
FilterOperators

Operators accepted by the backend for this option.

Array<integer>
nullable
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32
FilterVariables

Runtime variables accepted by the backend for this option.

Array<integer>
nullable
Allowed values: 0 1
CanSort

Whether the backend accepts sort items for this option.

boolean
RowsFilterOptions
Array<object> recursive
BaseCurrencyCode

Base currency code for Money fields.

string
nullable
ClassifierCatalogDefinitionId

Bound Classifier Catalog Definition identifier.

string
nullable
SemanticRole
integer format: int32
Allowed values: 0 1 2 3
MaxSortItems

Maximum number of accepted sort items.

integer format: int32
InitialFieldMappings
Array<object>
nullable

Initial mapping shown to runtime users and applied during target admission.

object
DestinationKind
integer format: int32
Allowed values: 0 1 2 3
DestinationFieldKey
string
nullable
DestinationDisplayName
string
nullable
DestinationFieldType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17
SourceFieldKey
string
nullable
SourceDisplayName
string
nullable
SourceFieldType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17
SortOrder
integer format: int32
DueDatePolicy

Runtime due-date policy included in the board shell.

object
Enabled
boolean
TimeMode
integer format: int32
Allowed values: 0 1
DisabledBoardStatusIds
Array<string>
nullable
Expectations
Array<object>
nullable

Runtime due-date status expectation row.

object
Id
string
nullable
ExpectedBoardStatusId
string
nullable
OffsetAmount
integer format: int32
OffsetUnit
integer format: int32
Allowed values: 0 1
Severity
integer format: int32
Allowed values: 0 1 2
SortOrder
integer format: int32
BoardData

Board-owned Part entity identity and default runtime surfaces.

object
EntityDefinitionId
string
nullable
DefaultFormSurfaceKey
string
nullable
DefaultCardSurfaceKey
string
nullable
QueryOptions

Backend-approved query capabilities for one runtime entity definition.

object
Options

Ordered list of query targets available to the current caller.

Array<object>
nullable

One runtime query target with backend-approved filter and sort capabilities.

object
Id

Stable option identifier.

string
nullable
Label

Localized user-facing label.

string
nullable
Kind
integer format: int32
Allowed values: 0 1 2 3 4
Reference

Reference to a runtime field by identifier, normalized key, or special query field. In a typed path the segment is resolved against the entity reached by the preceding reference.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier. If FieldKey is also supplied, both must resolve to the same field.

string
nullable
FieldKey

Field key resolved through the current entity’s normalized-key index. If FieldId is also supplied, both must resolve to the same field.

string
nullable
Special
integer format: int32
Allowed values: 0 1
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
FieldType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17
AllowMultiple

Whether multiple values are allowed for the bound field.

boolean
DecimalPrecision

Decimal precision when applicable.

integer format: int32
nullable
DecimalScale

Decimal scale when applicable.

integer format: int32
nullable
StringMaxLength

String max length when applicable.

integer format: int32
nullable
ReferenceToEntityDefinitionId

Target entity definition identifier for reference-style fields.

string
nullable
PairedReferenceFieldId

Paired reference field identifier for inverse-reference fields.

string
nullable
ReferenceDeleteBehavior
integer format: int32
Allowed values: 0 1 2
Options

Select options when applicable.

Array<object>
nullable

Option metadata for select fields.

object
Id

Option identifier.

string
nullable
EntityFieldDefinitionId

Owning field identifier.

string
nullable
Key

Option key.

string
nullable
Value

Option display value.

string
nullable
SortOrder

Sort order.

integer format: int32
CanFilter

Whether the backend accepts filter predicates for this option.

boolean
FilterOperators

Operators accepted by the backend for this option.

Array<integer>
nullable
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32
FilterVariables

Runtime variables accepted by the backend for this option.

Array<integer>
nullable
Allowed values: 0 1
CanSort

Whether the backend accepts sort items for this option.

boolean
RowsFilterOptions
Array<object> recursive
BaseCurrencyCode

Base currency code for Money fields.

string
nullable
ClassifierCatalogDefinitionId

Bound Classifier Catalog Definition identifier.

string
nullable
SemanticRole
integer format: int32
Allowed values: 0 1 2 3
MaxSortItems

Maximum number of accepted sort items.

integer format: int32
SubjectSemanticRole
integer format: int32
Allowed values: 0 1 2 3
DescriptionSemanticRole
integer format: int32
Allowed values: 0 1 2 3
BoardType
integer format: int32
Allowed values: 0 1
CycleActivationMode
integer format: int32
Allowed values: 0 1 2
RequestedCycleSelector

Normalized selector requested by the caller.

string
nullable
ResolvedCycle

Compact cycle summary for a runtime board item.

object
Id
string
nullable
Name
string
nullable
LifecycleState
integer format: int32
Allowed values: 0 1 2 3
StartDate
string format: date
nullable
EndDate
string format: date
nullable
SortOrder
integer format: int32
DateCurrentCycle

Compact cycle summary for a runtime board item.

object
Id
string
nullable
Name
string
nullable
LifecycleState
integer format: int32
Allowed values: 0 1 2 3
StartDate
string format: date
nullable
EndDate
string format: date
nullable
SortOrder
integer format: int32
PreviousCycle

Compact cycle summary for a runtime board item.

object
Id
string
nullable
Name
string
nullable
LifecycleState
integer format: int32
Allowed values: 0 1 2 3
StartDate
string format: date
nullable
EndDate
string format: date
nullable
SortOrder
integer format: int32
NextCycle

Compact cycle summary for a runtime board item.

object
Id
string
nullable
Name
string
nullable
LifecycleState
integer format: int32
Allowed values: 0 1 2 3
StartDate
string format: date
nullable
EndDate
string format: date
nullable
SortOrder
integer format: int32
CycleWarnings

Structured cycle warnings relevant to the selected shell scope.

Array<integer>
nullable
Allowed values: 0 1 2 3 4 5 6
Actions

Server-computed runtime shell actions.

object
CanManageCycles
boolean
ItemViewAvailability

Safe diagnostic for the caller’s Board Item View formula.

integer format: int32
Allowed values: 0 1 2
BoardItemResponsibilityDefinitions

Enabled named responsibilities for Board Item resources.

Array<object>
nullable

Active common responsibility definition published to Entity runtime surfaces.

object
ResponsibilityDefinitionId

Stable common responsibility definition identifier.

string
nullable
ResponsibilityKey

Stable definition-scoped responsibility key.

string
nullable
DisplayName

User-facing responsibility name.

string
nullable
Description

Optional user-facing description.

string
nullable
Cardinality

Common cardinality discriminator: One or Many.

string
nullable
Required

Whether an active resource must always have an assigned responsible subject.

boolean
SubjectMode

Common subject-mode discriminator: User, Group or UserOrGroup.

string
nullable
BoardStatusResponsibilityDefinitions

Enabled named responsibilities for Board Status resources.

Array<object>
nullable

Active common responsibility definition published to Entity runtime surfaces.

object
ResponsibilityDefinitionId

Stable common responsibility definition identifier.

string
nullable
ResponsibilityKey

Stable definition-scoped responsibility key.

string
nullable
DisplayName

User-facing responsibility name.

string
nullable
Description

Optional user-facing description.

string
nullable
Cardinality

Common cardinality discriminator: One or Many.

string
nullable
Required

Whether an active resource must always have an assigned responsible subject.

boolean
SubjectMode

Common subject-mode discriminator: User, Group or UserOrGroup.

string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Statuses": [
{
"MetaType": 0
}
],
"EntityDefinitions": [
{
"CommentAccessLevel": 0,
"AttachmentAccessLevel": 0
}
],
"TargetDefinitions": [
{
"TargetKind": 0,
"CommentAccessLevel": 0,
"AttachmentAccessLevel": 0,
"CreateCommentPolicy": 0,
"ReadCommentPolicy": 0,
"CreateAttachmentPolicy": 0,
"ReadAttachmentPolicy": 0,
"QueryOptions": {
"Options": [
{
"Kind": 0,
"Reference": {
"Special": 0
},
"FieldType": 0,
"ReferenceDeleteBehavior": 0,
"FilterOperators": [
0
],
"FilterVariables": [
0
],
"SemanticRole": 0
}
]
},
"InitialFieldMappings": [
{
"DestinationKind": 0,
"DestinationFieldType": 0,
"SourceFieldType": 0
}
]
}
],
"DueDatePolicy": {
"TimeMode": 0,
"Expectations": [
{
"OffsetUnit": 0,
"Severity": 0
}
]
},
"BoardData": {
"QueryOptions": {
"Options": [
{
"Kind": 0,
"Reference": {
"Special": 0
},
"FieldType": 0,
"ReferenceDeleteBehavior": 0,
"FilterOperators": [
0
],
"FilterVariables": [
0
],
"SemanticRole": 0
}
]
},
"SubjectSemanticRole": 0,
"DescriptionSemanticRole": 0
},
"BoardType": 0,
"CycleActivationMode": 0,
"ResolvedCycle": {
"LifecycleState": 0
},
"DateCurrentCycle": {
"LifecycleState": 0
},
"PreviousCycle": {
"LifecycleState": 0
},
"NextCycle": {
"LifecycleState": 0
},
"CycleWarnings": [
0
],
"ItemViewAvailability": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}